Bug 831040 - [rhevm-log-collector] - Remote DB - LC doesn't collect PG data correctly - Base SoS doesn't have the postgresql SoS plug-in
[rhevm-log-collector] - Remote DB - LC doesn't collect PG data correctly - Ba...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Keith Robertson
David Botzer
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 01:00 EDT by David Botzer
Modified: 2016-07-03 21:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-06-12 01:00:01 EDT
Description of problem:
Cannot collect PG data dump using rhevm-log-collector
Base SoS doesn't have the postgresql SoS plug-in 

Version-Release number of selected component (if applicable):
rhevm 3.1, si4

How reproducible:
always

Steps to Reproduce:
1.install rhevm 3.1 with remote databsse
2.add some entities
3.try to get the rhevm db (engine db) from the remote Host
  rhevm-log-collector --pg-dbhost=10.x.x.x collect
  

Actual results:
The PG data bieng collected is from localhost and not the pg-dbhost

Expected results:
Should get a dump & data on the remote PG DB

Additional info:
Base SoS doesn't have the postgresql SoS plug-in
Comment 1 David Botzer 2012-06-12 01:15:51 EDT
Added TCMS Test Case External Tracker
 - Case: 174963: Log Collector - Positive Test - Remote DB Collect All Logs
Comment 2 Keith Robertson 2012-08-29 16:43:35 EDT
Upstream patch: http://gerrit.ovirt.org/#/c/7590/
Comment 5 David Botzer 2012-10-10 05:09:19 EDT
Cannot work Remote DB setup on SI20
Login Issue
Comment 6 David Botzer 2012-10-10 05:59:35 EDT
Now i can
I had to clean the DBs - engine & rhevm-reports
Comment 7 David Botzer 2012-10-10 06:27:29 EDT
3.1/si20 Remote DB
Please advise how to verify this BZ ?
What should I look in the Zipped file ?
Comment 8 Keith Robertson 2012-10-10 10:34:54 EDT
1. Ensure that the DB is not local to the rhevm.
2. rhevm-log-collector --pg-dbhost=ip-address-of-pg-here collect
3. Unpack the archive created by the LC
4. CWD into <unpacked sos report dir>/tmp/RHEVH-and-PostgreSQL-reports/
5. Unpack the Postgres sos report therein.
6. Ensure that sos_pgdump.tar exists in the unpacked sos report.
Comment 9 David Botzer 2012-10-10 11:51:40 EDT
Fixed, 3.1/si20 Remote DB
All the above are correct
Fixed, 3.1/si20 Remote DB

Note You need to log in before you can comment on or make changes to this bug.